Debian Bug report logs - #572043
abiword: libgoffice-0-8: New so version breaks Abiword

version graph

Package: abiword; Maintainer for abiword is Dmitry Smirnov <onlyjob@debian.org>; Source for abiword is src:abiword.

Reported by: Simon Pepping <spepping@leverkruid.eu>

Date: Mon, 1 Mar 2010 09:00:01 UTC

Severity: grave

Tags: confirmed

Merged with 573964

Found in versions abiword/2.8.1-2, abiword/2.8.2-1

Fixed in version abiword/2.8.2-2

Done: Patrik Fimml <patrik@fimml.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, spepping@leverkruid.eu, Patrik Fimml <patrik@fimml.at>:
Bug#572043; Package abiword. (Mon, 01 Mar 2010 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Pepping <spepping@leverkruid.eu>:
New Bug report received and forwarded. Copy sent to spepping@leverkruid.eu, Patrik Fimml <patrik@fimml.at>. (Mon, 01 Mar 2010 09:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Pepping <spepping@leverkruid.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: abiword: libgoffice-0-8: New so version breaks Abiword
Date: Mon, 01 Mar 2010 09:57:44 +0100
Package: abiword
Version: 2.8.1-2
Severity: serious

This is the same problem as reported in bug #570010, but now for
Abiword. The same workaround works here:

ln -s libgoffice-0.8.so.8.0.0 libgoffice-0.8.so.7

Simon

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=en_GB.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages abiword depends on:
ii  abiword-commo 2.8.1-2                    efficient, featureful word process
ii  gsfonts       1:8.11+urwcyr1.0.7~pre44-4 Fonts for the Ghostscript interpre
ii  libabiword-2. 2.8.1-2                    efficient, featureful word process
ii  libaiksaurusg 1.2.1+dev-0.12-6           graphical interface to the Aiksaur
ii  libc6         2.10.2-2                   GNU C Library: Shared libraries
ii  libcairo2     1.8.8-2                    The Cairo 2D vector graphics libra
ii  libdbus-1-3   1.2.20-2                   simple interprocess messaging syst
ii  libdbus-glib- 0.84-1                     simple interprocess messaging syst
ii  libgcc1       1:4.4.2-9                  GCC support library
ii  libgcrypt11   1.4.5-2                    LGPL Crypto library - runtime libr
ii  libglib2.0-0  2.22.4-1                   The GLib library of C routines
ii  libgnutls26   2.8.5-2                    the GNU TLS library - runtime libr
ii  libgoffice-0- 0.8.0-1                    Document centric objects library -
ii  libgsf-1-114  1.14.17-1                  Structured File Library - runtime 
ii  libgtk2.0-0   2.18.6-1                   The GTK+ graphical user interface 
ii  libjpeg62     6b-16.1                    The Independent JPEG Group's JPEG 
ii  libloudmouth1 1.4.3-5                    Lightweight C Jabber library
ii  libots0       0.5.0-2                    Open Text Summarizer (library)
ii  libpng12-0    1.2.42-2                   PNG library - runtime
ii  libpsiconv6   0.9.8-4.1                  a library for handling Psion files
ii  libreadline6  6.1-1                      GNU readline and history libraries
ii  libsoup2.4-1  2.29.90-1                  an HTTP library implementation in 
ii  libstdc++6    4.4.2-9                    The GNU Standard C++ Library v3
ii  libwmf0.2-7   0.2.8.4-6.1                Windows metafile conversion librar
ii  libwpd8c2a    0.8.14-1                   Library for handling WordPerfect d
ii  libwpg-0.1-1  0.1.3-1                    WordPerfect graphics import/conver
ii  libwps-0.1-1  0.1.2-1                    Works text file format import filt
ii  libxml2       2.7.6.dfsg-2+b1            GNOME XML library
ii  libxslt1.1    1.1.26-1+b1                XSLT processing library - runtime 

Versions of packages abiword recommends:
pn  abiword-docs           <none>            (no description available)
pn  abiword-plugin-grammar <none>            (no description available)
pn  abiword-plugin-mathvie <none>            (no description available)
ii  aspell-en [aspell-dict 6.0-0-5.1         English dictionary for GNU Aspell
ii  poppler-utils          0.12.2-2          PDF utilitites (based on libpopple
ii  ttf-liberation         1.05.2.20091019-4 Fonts with the same metrics as Tim

abiword suggests no packages.

-- no debconf information




Added tag(s) confirmed. Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 01 Mar 2010 18:51:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions abiword/2.8.2-1. Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 01 Mar 2010 18:51:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 572043: 572124 Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 01 Mar 2010 18:51:09 GMT) Full text and rfc822 format available.

Reply sent to Patrik Fimml <patrik@fimml.at>:
You have taken responsibility. (Sun, 14 Mar 2010 11:03:11 GMT) Full text and rfc822 format available.

Notification sent to Simon Pepping <spepping@leverkruid.eu>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 11:03:11 GMT) Full text and rfc822 format available.

Message #16 received at 572043-close@bugs.debian.org (full text, mbox):

From: Patrik Fimml <patrik@fimml.at>
To: 572043-close@bugs.debian.org
Subject: Bug#572043: fixed in abiword 2.8.2-2
Date: Sun, 14 Mar 2010 11:02:30 +0000
Source: abiword
Source-Version: 2.8.2-2

We believe that the bug you reported is fixed in the latest version of
abiword, which is due to be installed in the Debian FTP archive:

abiword-common_2.8.2-2_all.deb
  to main/a/abiword/abiword-common_2.8.2-2_all.deb
abiword-plugin-grammar_2.8.2-2_amd64.deb
  to main/a/abiword/abiword-plugin-grammar_2.8.2-2_amd64.deb
abiword-plugin-mathview_2.8.2-2_amd64.deb
  to main/a/abiword/abiword-plugin-mathview_2.8.2-2_amd64.deb
abiword_2.8.2-2.diff.gz
  to main/a/abiword/abiword_2.8.2-2.diff.gz
abiword_2.8.2-2.dsc
  to main/a/abiword/abiword_2.8.2-2.dsc
abiword_2.8.2-2_amd64.deb
  to main/a/abiword/abiword_2.8.2-2_amd64.deb
libabiword-2.8-dev_2.8.2-2_amd64.deb
  to main/a/abiword/libabiword-2.8-dev_2.8.2-2_amd64.deb
libabiword-2.8_2.8.2-2_amd64.deb
  to main/a/abiword/libabiword-2.8_2.8.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrik Fimml <patrik@fimml.at> (supplier of updated abiword package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Mar 2010 13:31:40 +0100
Source: abiword
Binary: abiword-common abiword abiword-plugin-grammar abiword-plugin-mathview libabiword-2.8 libabiword-2.8-dev
Architecture: source all amd64
Version: 2.8.2-2
Distribution: unstable
Urgency: low
Maintainer: Patrik Fimml <patrik@fimml.at>
Changed-By: Patrik Fimml <patrik@fimml.at>
Description: 
 abiword    - efficient, featureful word processor with collaboration
 abiword-common - efficient, featureful word processor with collaboration -- common
 abiword-plugin-grammar - grammar checking plugin for AbiWord
 abiword-plugin-mathview - equation editor plugin for AbiWord
 libabiword-2.8 - efficient, featureful word processor with collaboration -- shared
 libabiword-2.8-dev - efficient, featureful word processor with collaboration -- develo
Closes: 572043 573653
Changes: 
 abiword (2.8.2-2) unstable; urgency=low
 .
   * Move from libgoffice-0-8-dev to libgoffice-0.8-dev (see #570351,
     closes: #573653, #572043)
Checksums-Sha1: 
 033d4a2951161cd35e6ed76443e6b44e223950f0 1870 abiword_2.8.2-2.dsc
 ac29dc2ba44119c792cb437bd7e7f68b430103f7 43559 abiword_2.8.2-2.diff.gz
 fee5734cbc7502a52a6196dd2531a8ecfcd7d411 1951192 abiword-common_2.8.2-2_all.deb
 012f7c67eed6c1254c893fa9688a56951c4fdea8 1596368 abiword_2.8.2-2_amd64.deb
 3bfb04baa4889f2bebdc6803bf17b8b5833de47a 45930 abiword-plugin-grammar_2.8.2-2_amd64.deb
 a3ff3d6441e4cb6fa20ca8aa6a592452d88e2067 148764 abiword-plugin-mathview_2.8.2-2_amd64.deb
 4d876c1d6811b801d6846d5424cf587b9288f891 2669760 libabiword-2.8_2.8.2-2_amd64.deb
 803a7e7721a0f30eebcf661973055ed605c9d4ba 3806214 libabiword-2.8-dev_2.8.2-2_amd64.deb
Checksums-Sha256: 
 df926e5ba78f7a9e4c9c9fc302e9e9b5c00b0ff91a5f045af90f215d1f7c38d9 1870 abiword_2.8.2-2.dsc
 8882e2cbe3a54b2705e661328277873793c7d55925fea195ee2095a10c7fee15 43559 abiword_2.8.2-2.diff.gz
 34c6521ddb590564638aca59a10031b3197580ac1a60f9d31ecc4a910d62e342 1951192 abiword-common_2.8.2-2_all.deb
 313ce428489c43a3b39924d286e793eec4e616387f4bb423735b2c7cc02dd09e 1596368 abiword_2.8.2-2_amd64.deb
 23a335bfd35e9a89bdd03fdd116995c1c8b4045a415e22c15566dffbd3dca54b 45930 abiword-plugin-grammar_2.8.2-2_amd64.deb
 5ec977ccde68104dda39abbaf7bb9d8c79748595eaab1a3c7fc152ac083d67ba 148764 abiword-plugin-mathview_2.8.2-2_amd64.deb
 06d19851c7ba498f4a312c0bc78c1cd79c58ec2736d5b538f3deed8d897dd3a8 2669760 libabiword-2.8_2.8.2-2_amd64.deb
 4d7bf94f026b63712806dc842cfddd8fe11952d26f38d8c8b968042a59c9a41a 3806214 libabiword-2.8-dev_2.8.2-2_amd64.deb
Files: 
 ec7f6adb8041388b64f37e6f78cb5dd4 1870 gnome optional abiword_2.8.2-2.dsc
 e97e1485b55b9a6eea8d629b576ceecd 43559 gnome optional abiword_2.8.2-2.diff.gz
 dcff070e65910beb314f987e0f81148a 1951192 editors optional abiword-common_2.8.2-2_all.deb
 a6d9631644b6c0022b5e8d7c0e51f714 1596368 editors optional abiword_2.8.2-2_amd64.deb
 336886014885ca2288a5ea876bedc779 45930 editors optional abiword-plugin-grammar_2.8.2-2_amd64.deb
 e567a949c6a611f8c933a8790a7eb84f 148764 editors optional abiword-plugin-mathview_2.8.2-2_amd64.deb
 41a6fd0dc8a933a1e7e05a3ce916ab61 2669760 libs optional libabiword-2.8_2.8.2-2_amd64.deb
 277efeb10794a252edd8f02565e0c27b 3806214 libdevel optional libabiword-2.8-dev_2.8.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucv1wACgkQ5Sc9mGvjxCNszgCfc+ovqqY4M0akrQQtVFiNj+qd
sw8AoI0opkVwOCPsXFI/XGDiHTUQYMil
=hgoS
-----END PGP SIGNATURE-----





Severity set to 'grave' from 'serious' Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 15 Mar 2010 13:00:08 GMT) Full text and rfc822 format available.

Forcibly Merged 572043 573964. Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 15 Mar 2010 13:00:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Apr 2010 07:34:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:13:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.